#!/usr/bin/perl

# script to get assp statistics
#
# please edit the username - passwd - ip address before you use it.
#
# 
# Created by Luuk de Boer - 30 - 03 - 2005
#

use LWP;
use HTTP::Cookies;
$| = 1;
my $ua = new LWP::UserAgent;

$username = "admin";
$passwd = "passwd";
$ipaddress = "192.168.1.1";

$ua->agent("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
#$ua->proxy('http','http://:8080/');
$cookie_jar = new HTTP::Cookies;
$cookie_jar->{'hide_cookie2'} = 1;
$cookie_jar->{'set_version'} = 0;
$ua->cookie_jar($cookie_jar);

#print "getting url\n";
$starturl = 'http://'.$username.':'.$passwd.'@'. $ipaddress.':55555/stats';
$request = new HTTP::Request('GET', $starturl);
$response = $ua->request($request);
@pagelines = $response->content =~ /(.*\n?)/g;
$nr = 0;
foreach $line (@pagelines) {
  chomp($line);
  $line =~ s/\r//g;
#  print "($line)\n";
  if ($line =~ /SMTP Connections Received:/i) {
  	$line2 = $pagelines[$nr+2];
#  	print "line2 = $line2 **\n";
  	if ($line2 =~ /optionValue">(\d+)<\/td/i) {
  	  $smtpcon = $1;
#  	  print "SMTP CONNECTIONS = $smtpcon **\n";
  	}
  }
  elsif ($line =~ /Messages Processed:/i) {
  	$line2 = $pagelines[$nr+2];
#  	print "line2 = $line2 **\n";
  	if ($line2 =~ /optionValue">(\d+) \(\d+/i) {
  	  $totmess = $1;
#  	  print "Messages Processed = $totmess **\n";
  	}
  }
  elsif ($line =~ /Bayesian Spams:/i) {
  	$line2 = $pagelines[$nr+2];
#  	print "line2 = $line2 **\n";
  	if ($line2 =~ /optionValue">(\d+)<\/td/i) {
  	  $bayspam = $1;
#  	  print "Bayesian Spam = $bayspam **\n";
  	}
  }
  elsif ($line =~ /local Mails:/i) {
  	$line2 = $pagelines[$nr+2];
# 	print "line2 = $line2 **\n";
  	if ($line2 =~ /optionValue">(\d+)<\/td/i) {
  	  $locmail = $1;
# 	  print "Local Mails = $locmail **\n";
  	}
  }
  elsif ($line =~ /Whitelisted Messages:/i) {
  	$line2 = $pagelines[$nr+2];
# 	print "line2 = $line2 **\n";
  	if ($line2 =~ /optionValue">(\d+)<\/td/i) {
  	  $whitemail = $1;
#  	  print "Whitelisted Messages = $whitemail **\n";
  	}
  }
  $nr++;
}

print "\n     smtpcon:$smtpcon totmess:$totmess bayspam:$bayspam locmail:$locmail whitemail:$whitemail\n\n"; 
